Get test listings
curl --request GET \
--url https://api.collectpure.com/sandbox/listings/get/v1 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/sandbox/listings/get/v1"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/sandbox/listings/get/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"listings": [
{
"listingId": "<string>",
"productId": "<string>",
"variantId": "<string>",
"productTitle": "<string>",
"sku": "<string>",
"material": "<string>",
"quantity": 123,
"price": 123,
"priceDollars": 123,
"spotPremium": 123,
"spotPremiumDollar": 123,
"expiresAt": "<string>"
}
],
"total": 123
}
}Sandbox API
Get test listings
Retrieve active listings for sandbox testing. Only available in non-production environments.
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
sandbox
/
listings
/
get
/
v1
Get test listings
Authorizations
API key for authentication
Query Parameters
Maximum number of listings to return (default 50, max 250)
Required range:
1 <= x <= 250Number of listings to skip for pagination
Required range:
0 <= x <= 9007199254740991Response
200 - application/json
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I